Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.engine
Interface JRVisitable

All Known Subinterfaces:
  Cell, JRBand, JRBreak, JRCellContents, JRChart, JRChild, JRComponentElement, JRCrosstab, JRElement, JRElementGroup, JREllipse, JRFrame, JRGenericElement, JRGraphicElement, JRImage, JRLine, JRRectangle, JRStaticText, JRSubreport, JRTextElement, JRTextField, ListContents

All Known Implementing Classes:
  BaseListContents, CompiledCell, DesignCell, DesignListContents, ElementDecorator, FillListContents, FillTableSubreport, JRBaseBand, JRBaseBreak, JRBaseCellContents, JRBaseChart, JRBaseComponentElement, JRBaseCrosstab, JRBaseElement, JRBaseElementGroup, JRBaseEllipse, JRBaseFrame, JRBaseGenericElement, JRBaseGraphicElement, JRBaseImage, JRBaseLine, JRBaseRectangle, JRBaseStaticText, JRBaseSubreport, JRBaseTextElement, JRBaseTextField, JRDesignBand, JRDesignBreak, JRDesignCellContents, JRDesignChart, JRDesignComponentElement, JRDesignCrosstab, JRDesignElement, JRDesignElementGroup, JRDesignEllipse, JRDesignFrame, JRDesignGenericElement, JRDesignGraphicElement, JRDesignImage, JRDesignLine, JRDesignRectangle, JRDesignStaticText, JRDesignSubreport, JRDesignTextElement, JRDesignTextField, JRFillBand, JRFillBreak, JRFillCellContents, JRFillChart, JRFillComponentElement, JRFillCrosstab, JRFillElement, JRFillElementContainer, JRFillElementGroup, JRFillEllipse, JRFillFrame, JRFillFrame.JRFillFrameElements, JRFillGenericElement, JRFillGraphicElement, JRFillImage, JRFillLine, JRFillRectangle, JRFillStaticText, JRFillSubreport, JRFillTextElement, JRFillTextField, TableSubreport

    public interface JRVisitable

Version:
  $Id: JRVisitable.java 3033 2009-08-27 11:46:22Z teodord $
Author:
  Teodor Danciu (teodord@users.sourceforge.net)

Method Summary
`void` | `visit(JRVisitor visitor)`

Method Detail

### visit

    void visit(JRVisitor visitor)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com